package com.zxbw.modulemain.activity

import android.view.View
import com.zxbw.modulemain.R
import com.zxhl.cms.AppContext
import com.zxhl.cms.common.base.BaseActivity
import com.zxhl.cms.utils.JumpUtils
import kotlinx.android.synthetic.main.layout_pay_suc.*

class PaySuccessActivity : BaseActivity() {
    var type = ""
    override fun onClick(v: View?) {

    }

    override fun before() {
        super.before()
        setStatusBarBackground(AppContext.get().resources.getColor(R.color.transparent))
    }

    override fun layoutID(): Int {
        return R.layout.layout_pay_suc
    }

    override fun init() {
        type = intent?.data?.getQueryParameter("pay_type") ?: ""
        if (type.equals("2")) {
            id_tv_desc_tips.text = "支付成功\n话费充值将在72小时内到账！"
        } else {
            id_tv_desc_tips.text = "恭喜您\n本次交易成功！"
        }

        id_tv_btn_order?.setOnClickListener {
            JumpUtils.MyOrderJump("")
            finish()
        }
    }
}